TEMPLATE = app
CONFIG  += debug

OBJECTS_DIR  = build
MOC_DIR      = build
UI_DIR       = build

SOURCES += ScreenView.cpp UKNC.cpp Emulator.cpp SoundGenNul.cpp
SOURCES += KeyboardView.cpp MainWindow.cpp Settings.cpp DebugView.cpp
SOURCES += Common.cpp MemoryView.cpp ConsoleView.cpp
HEADERS += ScreenView.h Views.h Emulator.h KeyboardView.h MainWindow.h
HEADERS += DebugView.h MemoryView.h ConsoleView.h
FORMS   += MainWindow.ui AboutDlg.ui

SOURCES += emubase/Board.cpp emubase/Disasm.cpp emubase/Floppy.cpp
SOURCES += emubase/Memory.cpp emubase/Processor.cpp

DEFINES += PRODUCT

win32 {
	INCLUDEPATH += .
	DEFINES     += _UNICODE USE_ASM
}
