#ifndef DEBUGOBJECT_H_INCLUDED
#define DEBUGOBJECT_H_INCLUDED

#include <QRect>
#include <QVariant>

class DebugObject: public QRect {
public:
  QString text;
  const char *slot;
  QVariant parameter;

  DebugObject(): slot(0) {}
  DebugObject( int x, int y, int w, int h, QString text0, const char *slot0,
        QVariant parameter0 ):
        QRect( x, y, w, h ), text( text0 ), slot( slot0 ),
        parameter( parameter0 ) {}
};

#endif // DEBUGOBJECT_H_INCLUDED
